Package org.opensaml.saml.saml2.profile.context

# Class EncryptionContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.saml.saml2.profile.context.EncryptionContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class EncryptionContext extends BaseContext
Context supplying encryption parameters for the different forms of SAML XML encryption.

The presence or absence of a particular parameter set is generally an indicator as to the requirement to encrypt that type of object.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private EncryptionParameters`
`assertionEncParams`
Parameters for assertion encrytion.
`private EncryptionParameters`
`attributeEncParams`
Parameters for attribute encrytion.
`private EncryptionParameters`
`idEncParams`
Parameters for identifier encrytion.

## Constructor Summary

Constructors
Constructor
Description
`EncryptionContext()`

## Method Summary

Modifier and Type
Method
Description
`EncryptionParameters`
`getAssertionEncryptionParameters()`
Get the encryption parameters to use for encryption of assertions.
`EncryptionParameters`
`getAttributeEncryptionParameters()`
Get the encryption parameters to use for encryption of attributes.
`EncryptionParameters`
`getIdentifierEncryptionParameters()`
Get the encryption parameters to use for encryption of identifiers.
`EncryptionContext`
`setAssertionEncryptionParameters(EncryptionParameters params)`
Set the encryption parameters to use for encryption of assertions.
`EncryptionContext`
`setAttributeEncryptionParameters(EncryptionParameters params)`
Set the encryption parameters to use for encryption of attributes.
`EncryptionContext`
`setIdentifierEncryptionParameters(EncryptionParameters params)`
Set the encryption parameters to use for encryption of identifiers.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### assertionEncParams

@Nullable private EncryptionParameters assertionEncParams
Parameters for assertion encrytion.

### idEncParams

@Nullable private EncryptionParameters idEncParams
Parameters for identifier encrytion.

### attributeEncParams

@Nullable private EncryptionParameters attributeEncParams
Parameters for attribute encrytion.

## Constructor Details

### EncryptionContext

public EncryptionContext()

## Method Details

### getAssertionEncryptionParameters

@Nullable public EncryptionParameters getAssertionEncryptionParameters()
Get the encryption parameters to use for encryption of assertions.

Returns:
  parameters to use

### setAssertionEncryptionParameters

@Nonnull public EncryptionContext setAssertionEncryptionParameters(@Nullable EncryptionParameters params)
Set the encryption parameters to use for encryption of assertions.

Parameters:
  `params` - parameters to use
Returns:
  this context

### getIdentifierEncryptionParameters

@Nullable public EncryptionParameters getIdentifierEncryptionParameters()
Get the encryption parameters to use for encryption of identifiers.

Returns:
  parameters to use

### setIdentifierEncryptionParameters

@Nonnull public EncryptionContext setIdentifierEncryptionParameters(@Nullable EncryptionParameters params)
Set the encryption parameters to use for encryption of identifiers.

Parameters:
  `params` - parameters to use
Returns:
  this context

### getAttributeEncryptionParameters

@Nullable public EncryptionParameters getAttributeEncryptionParameters()
Get the encryption parameters to use for encryption of attributes.

Returns:
  parameters to use

### setAttributeEncryptionParameters

@Nonnull public EncryptionContext setAttributeEncryptionParameters(@Nullable EncryptionParameters params)
Set the encryption parameters to use for encryption of attributes.

Parameters:
  `params` - parameters to use
Returns:
  this context